:root {
  --branco: #fff;
  --azul-claro: #d0eaf3;
  --azul-principal: #017ba4;
  --azul-escuro: #002838;
  --preto: #000;
}

body {
  background-color: var(--azul-principal);
  font-family: "Raleway", sans-serif;
}

main {
  margin: auto;
  max-width: 1200px;
}

article {
  position: relative;
}

h3 {
  font-weight: bold;
  font-size: 3rem;
}

strong,
a {
  font-weight: 500;
}

.align-items-center {
  align-items: center;
}

.row {
  display: grid;
  grid-template-columns: 1fr 1fr;
  padding: 1rem;
  gap: 1rem;
}

.btn {
  padding: 1rem;
  border-radius: 2rem;
  cursor: pointer;
  background-color: var(--azul-principal);
  margin-top: 1rem;
  transition: 0.25s;
  display: inline-block;
}

.btn:hover {
  background-color: var(--azul-escuro);
  transition: 0.5s;
}

.btn.btn-white {
  background-color: var(--branco);
}

.btn.btn-white:hover {
  background-color: var(--azul-claro);
  transition: 0.5s;
}

.main-header {
  display: flex;
  width: 100%;
  height: 50vh;
  max-height: 240px;
  align-items: center;
  animation: fromAboveFade 0.5s ease-out;
}

.main-header > h2 {
  color: var(--branco);
  font-size: 1.25rem;
  font-weight: 100;
  max-width: 200px;
  border-left: 1px solid var(--branco);
  padding: 1rem 0 1rem 2rem;
}

.main-header > img {
  height: 100%;
  max-width: 50vw;
}

.main-content h3 {
  color: var(--branco);
}

.main-content p {
  color: var(--branco);
  font-weight: 300;
  letter-spacing: 0.25rem;
  margin-top: 1rem;
}

.container-img {
  text-align: right;
}

.container-img > img {
  width: 80%;
  animation: fromRightFade 0.5s ease-out;
}

.main-footer {
  border-top: 1px solid var(--azul-claro);
  padding: 1rem 0;
  margin-top: 3rem;
  font-size: 0.9rem;
  color: var(--azul-claro);
  font-weight: 200;
  text-align: center;
}

@media (max-width: 767px) {
  .row {
    grid-template-columns: 1fr;
  }
}

@keyframes fromAboveFade {
  from {
    transform: translateY(-50%);
    opacity: 0;
  }
  to {
    transform: translateY(0);
    opacity: 1;
  }
}

@keyframes fromLeftFade {
  from {
    transform: translateX(-50%);
    opacity: 0;
  }
  to {
    transform: translateX(0);
    opacity: 1;
  }
}

@keyframes fromRightFade {
  from {
    transform: translateX(50%);
    opacity: 0;
  }
  to {
    transform: translateX(0);
    opacity: 1;
  }
}
